/*
 * Class WEL_REGISTRY_ACCESS_MODE
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_273 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_273 [] = {0xFF01,1551,272,0xFFFF};
static const EIF_TYPE_INDEX egt_2_273 [] = {0xFF01,272,0xFFFF};
static const EIF_TYPE_INDEX egt_3_273 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_273 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_273 [] = {0xFF01,272,0xFFFF};
static const EIF_TYPE_INDEX egt_6_273 [] = {0xFF01,272,0xFFFF};
static const EIF_TYPE_INDEX egt_7_273 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_273 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_273 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_273 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_273 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_273 [] = {0xFF01,272,0xFFFF};


static const struct desc_info desc_273[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_273), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_273), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_273), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_273), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_273), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_273), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_273), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_273), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_273), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_273), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_273), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_273), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0221 /*272*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_273), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5298, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5299, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5300, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5301, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5302, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5303, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5304, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5305, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5306, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5307, 0xFFFFFFFF},
};
void Init273(void)
{
	IDSC(desc_273, 0, 272);
	IDSC(desc_273 + 1, 1, 272);
	IDSC(desc_273 + 32, 470, 272);
}


#ifdef __cplusplus
}
#endif
